package jp.hrtdotnet.java;

import java.util.ResourceBundle;

public class TestClassResources extends TestResources {

    private static TestClassResources resource = null;
    
    public static TestResources getInstance(String cls) {
        if (resource == null) {
            try {
                resource = new TestClassResources(cls, cls);
            } catch (Exception e) {
            }
        }
        return resource;
    }
    
    public static TestResources getInstance(Class cls) {
        return getInstance(cls.getName());
    }

    protected ResourceBundle bundle = null;
    protected String cls = null;

    protected TestClassResources(String cls, String baseName) {
        super(cls, baseName);
    }
}
